Bug 170771 - dhcp noisy on boot
dhcp noisy on boot
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dhcp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Depends On: 146524
Blocks: 168429
  Show dependency treegraph
Reported: 2005-10-14 11:03 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0114
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 13:14:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-14 11:03:57 EDT
+++ This bug was initially created as a clone of Bug #146524 +++

dhcpd is very noisy on bootup, this started happening about the time of some
initscript changes a few weeks back.

When started, the daemon prints out:

[root@tornado init.d]# /etc/init.d/dhcpd start
Starting dhcpd: Internet Systems Consortium DHCP Server V3.0.2rc3
Copyright 2004 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/
Wrote 0 deleted host decls to leases file.
Wrote 0 new dynamic host decls to leases file.
Wrote 4 leases to leases file.
Listening on LPF/eth0/00:0d:61:5e:8b:b3/
Sending on   LPF/eth0/00:0d:61:5e:8b:b3/
Sending on   Socket/fallback/fallback-net
[  OK  ]
[root@tornado init.d]

It should simply print out:

Starting dhcp:             [ OK ]

-- Additional comment from jvdias@redhat.com on 2005-01-29 16:10 EST --
When dhcp is run from rc.sysinit, ie. during the boot process, or from
"service dhcpd start", these messages should not appear on the terminal
- if they do, it is related to the removal of initlog / minilogd in 
initscripts - nothing has changed in dhcpd or the /etc/init.d/dhcpd script 
that would cause these messages to appear - they used to be logged via
initlog. This is not a dhcp bug.

-- Additional comment from notting@redhat.com on 2005-02-04 17:52 EST --
It's behaving the same way as if dhcpd was run by hand; in my opinion, if those
are critical messages, they should be logged by the daemon itself. If not, they
should be silenced.

-- Additional comment from jvdias@redhat.com on 2005-02-11 19:47 EST --
This bug is now fixed in dhcp-3.0.2rc3-3, now in FC4/rawhide .
Please test and let me know if it fixes your problem - thanks.

-- Additional comment from reuben-redhatbugzilla@reub.net on 2005-02-13 07:01 EST --
Yep, resolved now, thanks Jason.
Comment 1 Jason Vas Dias 2005-10-14 11:05:00 EDT
fixed with dhcp-3.0.1-40_EL4+
Comment 7 Red Hat Bugzilla 2006-03-07 13:14:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.